﻿@model ObavijestViewModel

@{
    ViewData["Title"] = "Obavijest";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Obavijest</h1>

<p>
    <small>
        Stranica koja prikazuje popis svih obavijesti u aplikaciji.
        Omogućeno je straničenje i sortiranje po svim stupcima.
        Za svaki zapis je omogućeno brisanje i ažuriranje. Nakon klika na link za
        brisanje, korisnik se pita je li siguran da želi obrisati zapis.
        Na dnu stranice se nalazi link za dodavanje nove obavijesti u bazu.
    </small>
</p>

<pager page-info="@Model.PagingInfo" page-title="Unesite zeljenu stranicu"
       page-action="Index" class="float-right">
</pager>
<table class="table">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                    Naslov
                </a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">
                    Url
                </a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">
                    Kategorija obavijesti
                </a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Obavijest) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Naslov)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Url)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.NazivKategorije)
            </td>
            <td>
                <a asp-action="Edit" asp-route-Id="@item.Id">Uredi</a> |
                <a class="delete" asp-action="Delete" asp-route-Id="@item.Id">Izbriši</a>
            </td>
        </tr>
}
    </tbody>
</table>
<p>
    <a asp-action="Create">Dodaj novu obavijest</a>
</p>
